package stiftUndCo;

// Anwendung.java

import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;

/**
  @author Georg Dick
  @version 12.8.99

*/
public class Anwendung  {

	protected Bildschirm bildschirm = null;
	protected Maus maus = null;
	protected Tastatur tastatur = null;
	protected BuntStift stift = null;
	protected int offsetx=0,offsety=0;
	public void init(){;}
	public  Anwendung(){
		this(400,300,"");
	}
  
	public Anwendung (int breite, int hoehe, String s) 
	
	{
	  bildschirm=new Bildschirm(breite,hoehe);
		bildschirm.setTitle(s);		
		offsetx=bildschirm.getInsets().left;
		offsety=bildschirm.getInsets().top;
		maus = new Maus(bildschirm,offsetx,offsety);
	  tastatur = new Tastatur(bildschirm);
		stift = new BuntStift(bildschirm);
	}

	public void f\u00fchreAus(){}
	public void fuehreAus(){}
	

	public Bildschirm bildschirm()
	{
		return bildschirm;
	}
	public void gibFrei()
	{	
		if (maus !=null) 
		{
			maus.gibFrei();
			maus=null;
		}
		if (tastatur != null) 
		{
			tastatur.gibFrei();
			tastatur=null;
		}
		if (stift !=null) 
		{
			stift.gibFrei();
			stift= null;
		}
		if (bildschirm != null)
		{
			bildschirm.gibFrei();
			bildschirm=null;
		}
		
	}
	
	public Maus maus()
	{
		return maus;
	}


	public BuntStift stift()
	{
		return stift;
	}
	public Tastatur tastatur()
	{
		return tastatur;
	}

   
  }